import { shopeeSetting } from '@/plugins/setting';

/**
 *
 * @returns {StoreShopeeShop}
 */
export const state = () => {
  return {
    ref: shopeeSetting.shopeeShopRef.get(),
    id: shopeeSetting.shopeeShopId.get(),
    name: shopeeSetting.shopeeShopName.get(),
    image: shopeeSetting.shopeeShopImage.get(),
    spccds: shopeeSetting.shopeeShopSpcCds.get(),
    spcf: shopeeSetting.shopeeShopSpcf.get(),
    lastestSync: {},
    shopInfo: {},
    shopSync: {},
    shopLogistic: {
      selected: [],
      list: [],
    },
    shopWarehouse: {
      selected: [],
      list: [],
    },
    isInited: false,
    isAuthed: false,
    isCaptcha: false,
    isFetched: false,
  };
};
